Subject: bug#24046: [PATCH] vc-git: prevent execution of git stash in error cases

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 25 Jun 2019 14:03:03 +0200

[email-masked] writes:

> Alexander Kuleshov <[email-masked]> writes:
>
>> Here is simple patch which adds two additional checks to the vc-git-stash-show
>> function to check that correct stash name is passed and actually repo
>> has stashes.
>
> I'm not sure this is a good idea, we just end up duplicating checks that
> 'git stash' is going to perform anyway...

I agree, and even if we did want to add these checks, they should be
done in all the stash-related commands...

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no